## com.vividsolutions.jts.algorithm
Class MCPointInRing

    java.lang.Object
      com.vividsolutions.jts.algorithm.MCPointInRing

All Implemented Interfaces:
  PointInRing

public class MCPointInRing
extends java.lang.Object
implements PointInRing

Implements `PointInRing` using `MonotoneChain`s and a `BinTree` index to increase performance.

Version:
  1.7
See Also:
  `for more general functionality`

Constructor Summary
`MCPointInRing(LinearRing ring)`

Method Summary
`boolean` `isInside(Coordinate pt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MCPointInRing

    public MCPointInRing(LinearRing ring)

Method Detail

### isInside

    public boolean isInside(Coordinate pt)

  Specified by:
    `isInside` in interface `PointInRing`